# rw_to_fmp.hh File Reference

This file provides a transformation function that computes the equivalent FMP automaton of a Rational Weight tranducer. More...

Include dependency graph for rw_to_fmp.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | vcsn

| The main namespace of the Vaucanson library.

## Functions

Rational Weight transducer to FMP automaton conversion
template<typename S , typename T , typename SS , typename TT >
Element< SS, TT > & | rw_to_fmp (const Element< S, T > &trans, Element< SS, TT > &res)
| Compute the equivalent FMP automaton of a Rational Weight transducer.

## Detailed Description

This file provides a transformation function that computes the equivalent FMP automaton of a Rational Weight tranducer.

Author:
  Robert Bigaignon <robert.bigaignon@lrde.epita.fr>

Date:
  Mon Mar 16 16:15:15 2005

See also:
  rw_to_fmp()

Definition in file rw_to_fmp.hh.